Skip to content

Portals

Use these endpoints to create and view Portals. Portals allow third-party financial institutions to initiate ACH and wire transfers. A Portal consists of a routing and an account number. Multiple Portals can be created for a single Pocket.

List Portals

Request

Get a list of portals associated with an account.

Security
HTTPBearer
Path
account_idstring, (uuid)(Account Id)required
Headers
x-jiko-idempotencystring, (uuid)(X-Jiko-Idempotency)required
x-jiko-signaturestring(X-Jiko-Signature)required
curl -i -X GET \
  'https://your-partner-name.partner-api.jikoservices.com/api/v1/jiko-accounts/{account_id}/portals/' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'x-jiko-idempotency: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'x-jiko-signature: string'

Responses

Successful Response

Bodyapplication/json
countinteger(Count)required
portalsArray of objects, >= 0 items(Portals)required
object_typestring(Object Type)
Default:"List"
Response
{ "count": 1, "portals": [ {} ], "object_type": "List" }